> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/apps/bandwidth ## OpenAPI ````json POST /v1/apps/bandwidth { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/apps/bandwidth": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AppsBandwidthPostRequest" } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1AppsBandwidthPostResponse" } } } } } } } }, "components": { "schemas": { "v1AppsBandwidthPostRequest": { "type": "object", "properties": { "appId": { "type": "integer", "format": "int32", "example": 123, "minimum": 0 }, "deviceId": { "type": "integer", "format": "int64", "example": 1234567891011 }, "dlCircuitName": { "type": "string", "example": "example string" }, "isDia": { "type": "boolean", "example": true }, "slaClass": { "type": "string", "example": "ENUM_VALUE" }, "timeWindow": { "$ref": "#/components/schemas/statsmonTimeWindow" }, "ulCircuitName": { "type": "string", "example": "example string" } }, "additionalProperties": false }, "v1AppsBandwidthPostResponse": { "type": "object", "properties": { "stats": { "type": "array", "items": { "$ref": "#/components/schemas/ipfixAppBandwidthStats" } } }, "additionalProperties": false }, "statsmonTimeWindow": { "type": "object", "properties": { "bucketSizeSec": { "type": "integer", "format": "int32", "example": 300, "minimum": 0, "description": "the size of the time window in seconds (required)" }, "oldTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "recentTs": { "$ref": "#/components/schemas/googleProtobufTimestamp" } }, "additionalProperties": false, "required": [ "bucketSizeSec" ] }, "ipfixAppBandwidthStats": { "type": "object", "properties": { "dlBw": { "type": "number", "format": "double", "example": 123.45, "description": "Bandwidth in kilo bits per second" }, "ts": { "$ref": "#/components/schemas/googleProtobufTimestamp" }, "ulBw": { "type": "number", "format": "double", "example": 123.45, "description": "Bandwidth in kilo bits per second" } }, "additionalProperties": false }, "googleProtobufTimestamp": { "type": "object", "properties": { "nanos": { "type": "integer", "format": "int32", "example": 123 }, "seconds": { "type": "integer", "format": "int64", "example": 1234567891011 } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````